/*
 * Name:    mx_alloc.h
 *
 * Purpose: Header for MX memory allocation functions.
 *
 * Author:  William Lavender
 *
 *---------------------------------------------------------------------------
 *
 * Copyright 1999-2000 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __MX_ALLOC_H__
#define __MX_ALLOC_H__

MX_API void *mx_allocate_array( long num_dimensions,
		long *dimension_array, size_t *data_element_size_array );

MX_API mx_status_type mx_free_array( void *array_pointer, long num_dimensions,
		long *dimension_array, size_t *data_element_size_array );

MX_API void *mx_read_void_pointer_from_memory_location(
					void *memory_location );

MX_API void mx_write_void_pointer_to_memory_location(
					void *memory_location, void *ptr );

#endif /* __MX_ALLOC_H__ */

